Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class CreateGroupTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
              com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
                  com.bea.p13n.usermgmt.servlets.jsp.taglib.CreateGroupTag

All Implemented Interfaces
  UserManagementTagConstants, Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Deprecated Use com.bea.p13n.usermgmt.taglib.CreateGroupTag

    public class CreateGroupTag

extends ResultTag

Corresponds to `<um:createGroup>`.

The `<um:createGroup>` tag creates a new `com.beasys.commerce.axiom.contact.Group` object. The tag has no enclosed body.

Note: This tag should only be invoked when the `weblogic.security.realmClass` property in the `weblogic.properties` file is `com.beasys.commerce.axiom.contact.security.RDBMSRealm`.

Tag Attribute | Required | Type | Description
groupName | yes | String | The name of the new group. Example: "`<%=groupName%>`"
id | no | String | A variable name to which the created Group object is available for the duration of the page's scope.
parentName | no | String | The new group name.
result | yes | String | The name of an Integer variable to which the result of the create group operation is assigned. Possible values: Success: `UserManagerTagConstants.CREATE_GROUP_OK` Error Encountered: `UserManagerTagConstants.CREATE_GROUP_FAILED` A group with the specified group name already exists: `UserManagerTagConstants.GROUP_EXISTS`

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`result`

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTagConstants
`ADD_GROUP_FAILED, ADD_GROUP_OK, ADD_USER_FAILED, ADD_USER_OK, CREATE_GROUP_FAILED, CREATE_GROUP_OK, CREATE_USER_FAILED, CREATE_USER_OK, DEFAULT_SEARCH_EXP, DEFAULT_USER_LIMIT, GET_PROFILE_FAILED, GET_PROFILE_OK, GROUP_CHANGE_FAILED, GROUP_CHANGE_OK, GROUP_EXISTS, LOGIN_ERROR, LOGIN_FAILED, LOGIN_OK, NO_SUCH_PROFILE, NO_SUCH_SUCCESSOR, REMOVE_GROUP_FAILED, REMOVE_GROUP_OK, REMOVE_USER_FAILED, REMOVE_USER_OK, RESERVED_GROUP_NAME, RESERVED_USER_NAME, SET_PASSWORD_FAILED, SET_PASSWORD_OK, SET_PROPERTY_FAILED, SET_PROPERTY_OK, USER_EXISTS, USER_LIMIT_EXCEEDED, USER_SEARCH_FAILED, USER_SEARCH_OK`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`CreateGroupTag()` Deprecated

Method Summary
`int` | `doStartTag()` Deprecated Go through the UserManager session bean to create the new group, and optionally add it to the specified parent group.
`String` | `getGroupName()` Deprecated Get the name of the group to create
`String` | `getParentName()` Deprecated Get the name of the group to add the new group to
`void` | `release()` Deprecated Reset tag attributes
`void` | `setGroupName(String groupName)` Deprecated Set the name of the group to create
`void` | `setParentName(String parentName)` Deprecated Set the name of the group to add the new group to

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`getResult, setResult`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateGroupTag

    public CreateGroupTag()

  Deprecated

Method Detail

### setGroupName

    public void setGroupName(String groupName)

  Deprecated
  Set the name of the group to create

### getGroupName

    public String getGroupName()

  Deprecated
  Get the name of the group to create

### setParentName

    public void setParentName(String parentName)

  Deprecated
  Set the name of the group to add the new group to

### getParentName

    public String getParentName()

  Deprecated
  Get the name of the group to add the new group to

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Deprecated
  Go through the UserManager session bean to create the new group, and optionally add it to the specified parent group.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Deprecated
  Reset tag attributes

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `ResultTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved